package it.docsalvialtobasso;

import java.util.Random;

import android.support.v7.app.ActionBarActivity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends ActionBarActivity {
	static final int MINVALUE = 5;
	static final int MAXVALUE = 15;
	static int numProve;
	static int daIndovinare;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		TextView prompt = (TextView)findViewById(R.id.prompt);
		String p = getResources().getString(R.string.messaggio) + " " + String.valueOf(MINVALUE) + " " + 
				getResources().getString(R.string.messaggio_b) + " " + String.valueOf(MAXVALUE);
		prompt.setText(p);
		EditText t = (EditText)findViewById(R.id.numero);
		t.requestFocus();
		resetGioco ();
		
		Button b = (Button)findViewById(R.id.bottone);
		b.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				EditText t = (EditText)findViewById(R.id.numero);
				String tent = t.getText().toString();
				try {
					int tentativo = Integer.parseInt(tent);
					if (tentativo == daIndovinare) {
						vincita ();
					} else if (tentativo < daIndovinare) {
						Toast.makeText(getApplicationContext(),getResources().getString(R.string.toast_cresci), 
				                Toast.LENGTH_SHORT).show();
					} else {
						Toast.makeText(getApplicationContext(),getResources().getString(R.string.toast_cala), 
				                Toast.LENGTH_SHORT).show();
					}
				} catch (Exception e) {
				}
				numProve ++;
				t.setText("");
			}
		});

	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
	
	void vincita () {
		AlertDialog alertDialog = new AlertDialog.Builder(this).create();

		// Setting Dialog Title
		alertDialog.setTitle(getResources().getString(R.string.alert_titolo));

		// Setting Dialog Message
		alertDialog.setMessage(getResources().getString(R.string.alert_messaggio) + " " + String.valueOf(numProve) + " " +
				getResources().getString(R.string.alert_fine_messaggio));

		// Setting Icon to Dialog
		// alertDialog.setIcon(R.drawable.);

        // Setting OK Button
        alertDialog.setButton( DialogInterface.BUTTON_POSITIVE, getResources().getString(R.string.alert_nuovo), new DialogInterface.OnClickListener() {
                public void onClick(DialogInterface dialog, int which) {
                	resetGioco ();
                }
        });
        alertDialog.setButton( DialogInterface.BUTTON_NEGATIVE, getResources().getString(R.string.alert_termina), new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog, int which) {
            	finish();
            }
        });
    

		// Showing Alert Message
		alertDialog.show();
		
	}
	
	void resetGioco () {
		Random r = new Random();
		numProve = 1;
		daIndovinare = r.nextInt(MAXVALUE - MINVALUE) + MINVALUE;
	}
}
